Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rendsite.renderer
Class Renderer_Templatev1_MAIN

    java.lang.Object
      rendsite.renderer.Renderer
          rendsite.renderer.Renderer_Templatev1
              rendsite.renderer.Renderer_Templatev1_MAIN

    public class Renderer_Templatev1_MAIN

extends Renderer_Templatev1

Template version 1 MAIN implementation.

Author:
  erich Version History

       10NOV09 - EPG - First package release.

Nested Class Summary

Nested classes/interfaces inherited from class rendsite.renderer.Renderer_Templatev1
`Renderer_Templatev1.RowMaker`

Field Summary
`static java.lang.String` | `TEMPLATE_FIELD__ROWS_DIRECTORIES`
`static java.lang.String` | `TEMPLATE_FIELD__ROWS_FILES`

Fields inherited from class rendsite.renderer.Renderer_Templatev1
`TEMPLATE_FIELD__COPYRIGHT, TEMPLATE_FIELD__DIRECTORY, TEMPLATE_FIELD__FILE, TEMPLATE_FIELD__FILE_ORIGINAL, TEMPLATE_FIELD__INFO, TEMPLATE_FIELD__PROJECT, TEMPLATE_FIELD__RENDSITE_NOTICE, TEMPLATE_FIELD__ROOT`

Fields inherited from class rendsite.renderer.Renderer
`logger, pcontext, rcontext`

Constructor Summary
`Renderer_Templatev1_MAIN(RenderingContext rcontext, PropertiesGeneralContext pcontext)` Construct a renderer.

Method Summary
`java.lang.String` | `setRows(Node_Directory source, things.data.ThingsPropertyView propertyView)` Set the row properties for replacement.

Methods inherited from class rendsite.renderer.Renderer_Templatev1
`check, render, render, renderFrame`

Methods inherited from class rendsite.renderer.Renderer
`blankIfNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEMPLATE_FIELD__ROWS_DIRECTORIES

    public static final java.lang.String TEMPLATE_FIELD__ROWS_DIRECTORIES

See Also:
  Constant Field Values

### TEMPLATE_FIELD__ROWS_FILES

    public static final java.lang.String TEMPLATE_FIELD__ROWS_FILES

See Also:
  Constant Field Values

Constructor Detail

### Renderer_Templatev1_MAIN

    public Renderer_Templatev1_MAIN(RenderingContext rcontext,
                                    PropertiesGeneralContext pcontext)
                             throws things.common.ThingsException

  Construct a renderer. Let the system do this for you.

  Parameters:
    `rcontext` - The rendering context. A renderer cannot change context.
    `pcontext` - general properties context.
  Throws:
    `ThingsException.` - This will usually happen only if you give it a bad context.
    `things.common.ThingsException`

Method Detail

### setRows

    public java.lang.String setRows(Node_Directory source,
                                    things.data.ThingsPropertyView propertyView)
                             throws java.lang.Throwable

  Set the row properties for replacement.

  Specified by:
    `setRows` in class `Renderer_Templatev1`
  Parameters:
    `source` - the source directory
    `propertyView` - the replacement properties
  Returns:
    optional default info about the directory. It could be null.
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

rendsite.